<style>
#post-body h3 {
	padding: 0px;
	font-size: 14px;
}
</style>


<div class="wrap">

<?php screen_icon("reus"); ?><h2>About</h2>

<div id="poststuff" class="metabox-holder has-right-sidebar">
<div id="side-info-column" class="inner-sidebar">




<div class="postbox" id="tagsdiv-post_tag">
<div title="Click to toggle" class="handlediv"><br/></div><h3 class="hndle"><span>Information</span></h3>
<div class="inside">

    <p><b>Version 2.1.0</b><br>
    <small>Release Date: September 9, 2009</small></p>
    
    <p><small>Developed and maintained by Ian Whitcomb<br /><a href="http://www.ooeygui.net/" target="_blank">http://www.ooeygui.net</a></small></p>


</div>
</div>




</div>
    
    
<div id="post-body">

<div id="post-body-content">    
    
    
    <p>WordPress Reusables was created to help developers manage their content more efficiently. By allowing content to be stored and edited in a single location on WordPress it is possible to update a single piece of content that will update retroactively anywhere that the reusable is being used. This plugin creates a more front-end approach to templatizing content and even makes it possible to create or modify an entire theme without touching the PHP code.</p>
    
    
    <h2>New in Version 2.0</h2>
    
    <p><b>Nesting reusables</b> is the ability to place reusables inside of other reusables. This can be handy in templatizing content and also offers the ability to create a pretty complex configuration of reusables for managing content.</p>
    <p><b>Meta content</b> allows users to define interchangable content within a reusable. This furthers possibilities by not only allowing the ability to templatize content but also switch entire reusables with ease.</p>
    <p><b>Descriptions</b> can now be added to individual reusables to better keep track of what a reusable was created for.</p>
     
     
    
    <h2>Usage</h2>
        
    <h3>Inserting Reusables</h3>
    <p>You can use the <b>reus</b> short code to manually insert reusables into pages, posts, and other reusables using the following format.</p>
    <pre>[reus name|id[ meta]]</pre>
    <p>For example:</p>
    <pre>[reus name="My Reusable"]</pre>
    <p>This can also be done through the <b>insert</b> interface by clicking the <b>Insert Reusable</b> button on the content editor. It is recommended that you use this method because it will utilize the <b>id</b> attribute which cannot be changed rather than the <b>name</b> attribute.</p>
    
    <p><small>The <b>Insert Reusable</b> button is currently unavailable on the reusable edit screen, nesting reusables must be done manually. Please also note that there is a maximum number of nested reusables available which is dependant entirely on how your server is setup, it is recommended that you do not nest anymore than 2 or 3 levels deep as it could cause PHP memory errors. You should also not nest a reusable within its self as this will also cause memory errors.</small></p>
    
    <p>Reusables may also be used within the template files of a theme by using the <b>get_reus()</b> function. All of the same functionality still applies but is called using the following format.</p>
    
    <pre>string <b>get_reus</b>(string/int <i>$name/$id</i> [, string <i>$meta = null</i>])</pre>
    
    <p>For example:</p>
    
    <pre>&lt;?PHP echo get_reus("My Reusable", "variable=World"); ?&gt;</pre>
    
    <p></p>

    <h3>Meta Content</h3>
    <p>Meta variables can be added upon creating or editing reusables to allow users to interchange content. Simply surround the variable name with the percent(%) symbol to create a new variable.</p>
    <pre>Hello %variable%!</pre>
    <p>You can then use the <b>meta</b> attribute in the short code to define the content of the variable.>Multiple variables can be defined <b>meta</b> attribute of the <b>reus</b> short code simply by stringing them together using the ampersand(&amp;) symbol.</p>
    <pre>[reus name="My Reusable" meta="variable=World&variable2=Lorem&variable3=Ipsum"]</pre>
    <p>Meta variables can also be used to interchange entire reusables on the fly simply by creating a new variable where you would normally define the <b>id</b> or <b>name</b> attribute. This also implies nesting reusables so all of the same rules apply.</p> 

</div>
</div>
</div>
</div>